@class NSObject;
@class RFBProtocolAdaptor;

@interface VNCController : /*NS*/Object
{
    id authenticationPanel;
    id authenticationPanelLabel;
    id authenticationPanelTextField;
    id authenticationPanelCheckBox;
    id anthenticationPanelDepthMatrix;

    id displayEntryTextField;
    id displayEntryPortField;
    id displayOpenPanel;
    id displayEntryColorDepth;

    id displayMenu;
    id updateMenuItem;

    RFBProtocolAdaptor *_rfbProto;
    NSMutableArray *_displayManagers;
    NXCursor *_hollowCursor;
}

+ (VNCController *)controller;

+ (NXCursor *)hollowCursor;
- (NXCursor *)hollowCursor;

- (NSArray *)displayManagers;

- openPanelOkClicked:sender;
- authenticationPanelOkClicked:sender;

- updateForemostDisplay:sender;
- orderFrontStatisticsPanel:sender;
- takeSnapshotOfFrontWindow:sender;

@end
