/*
hb
                        *******************************
                        **                           **
                        **                           **
                        **     V N C V i e w . m     **
                        **                           **
                        **                           **
                        *******************************


	COPYRIGHT (C):  1998, MTA SZTAKI Distributes Systems Department, Hungary
	AUTHOR:		   	Balazs E. Pataki (PB); (e-mail: balazs.pataki@sztaki.hu)
	CREATED:		
	
	TITLE:			

	DESCRIPTION:	

	WARNING:		

	CHANGES:		

*/
#import <appkit/appkit.h>
#import "VNCView.h"
#import "vncviewer.h"

VNCView	*dpy;

NXBitmapImageRep	*image;
NXRect				imageRect;

void
CopyDataToScreen(CARD8 *buf, int x, int y, int width, int height)
{
	image = [[NXBitmapImageRep alloc]
					initData:buf 
					pixelsWide:width 
					pixelsHigh:height 
					bitsPerSample:8 
					samplesPerPixel:3 
					hasAlpha: NO 
					isPlanar:NO 
					colorSpace:NX_RGBColorSpace 
					bytesPerRow:width * 4 
					bitsPerPixel:32];
	
	NXSetRect (&imageRect, x, y, width, height);
	
	[dpy display];
}


@implementation VNCView
+ (id) new
{
	if (dpy == nil)
		dpy = [super new];
	return dpy;
}

- drawSelf:(const NXRect *)rects :(int)rectCount
{
	NXRect rect;
	[self getFrame:&rect];
	
	NXSetColor(NX_COLORBLACK);
	NXRectFill (&rect);
	
	if (image)
		[image drawIn:&imageRect];
	
	return self; //[super drawSelf:rects :rectCount];
}

- mouseDown:(NXEvent *)theEvent
{
	return self;
}

- rightMouseDown:(NXEvent *)theEvent
{
	return self;
}

- mouseUp:(NXEvent *)theEvent
{
	return self;
}

- rightMouseUp:(NXEvent *)theEvent
{
	return self;
}

- mouseMoved:(NXEvent *)theEvent
{
	return self;
}

- mouseDragged:(NXEvent *)theEvent
{
	return self;
}

- rightMouseDragged:(NXEvent *)theEvent
{
	return self;
}

- mouseEntered:(NXEvent *)theEvent
{
	return self;
}

- mouseExited:(NXEvent *)theEvent
{
	return self;
}

- keyDown:(NXEvent *)theEvent
{
	return self;
}

- keyUp:(NXEvent *)theEvent
{
	return self;
}
@end
