
#import "Foundation/NXGeometry.h"

NXPoint	
NXMakePoint(float x, float y)
{
  NXPoint point;

  point.x = x;
  point.y = y;
  return point;
}

NXSize	
NXMakeSize(float w, float h)
{
  NXSize size;

  size.width = w;
  size.height = h;
  return size;
}

NXRect	
NXMakeRect(float x, float y, float w, float h)
{
  NXRect rect;

  rect.origin.x = x;
  rect.origin.y = y;
  rect.size.width = w;
  rect.size.height = h;
  return rect;
}


NSString *
NSStringFromPoint(NXPoint aPoint)
{
  return [NSString stringWithFormat:@"{x=%f; y=%f}", aPoint.x, aPoint.y];
}

NSString *
NSStringFromRect(NXRect aRect)
{
  return [NSString stringWithFormat:@"{x=%f; y=%f; width=%f; height=%f}",
                   aRect.origin.x, aRect.origin.y,
                   aRect.size.width, aRect.size.height];
}

NSString *
NSStringFromSize(NXSize aSize)
{
  return [NSString stringWithFormat:@"{width=%f; height=%f}",
                   aSize.width, aSize.height];
}
