#import	"dpsclient/dpsNeXT.h"

@class NSObject;
@class RFBProtocolAdaptor;
@class VNCFramebuffer;

@interface VNCDisplayManager : /*NS*/Object
{
    RFBProtocolAdaptor *_adaptor;
//    NSPort *_dataPort;
    NSException *_threadException;
	DPSTimedEntry _updateTimer;
    VNCFramebuffer *_framebuffer;

    id window;
    id inputView, displayView;
    id statusTextField;
}

extern NSString *VNCDisplayWillTerminateNotification;

- (id)initWithAdaptor:(RFBProtocolAdaptor *)adaptor;

- (RFBProtocolAdaptor *)adaptor;

- requestFullUpdate:(id)sender;

- (void)invalidate;

- (BOOL)performClose;
- (void)close;

- (NSData *)desktopTIFFRepresentation;

@end
